# Poco::XML

# class DTDMap

Library: XML
Package: DOM
Header: Poco/DOM/DTDMap.h

## Description

This implementation of NamedNodeMap is returned by DocumentType::entities() and DocumentType::notations().

## Inheritance

Direct Base Classes: NamedNodeMap

All Base Classes: DOMObject, NamedNodeMap

## Member Summary

Member Functions: autoRelease, getNamedItem, getNamedItemNS, item, length, removeNamedItem, removeNamedItemNS, setNamedItem, setNamedItemNS

Inherited Functions: autoRelease, duplicate, getNamedItem, getNamedItemNS, item, length, release, removeNamedItem, removeNamedItemNS, setNamedItem, setNamedItemNS

## Constructors

### DTDMap

DTDMap(
const DocumentType * pDocumentType,
unsigned short type
);

## Destructor

### ~DTDMap

~DTDMap();

## Member Functions

### autoRelease

void autoRelease();

See also: Poco::XML::DOMObject::autoRelease()

### getNamedItem

Node * getNamedItem(
const XMLString & name
) const;

See also: Poco::XML::NamedNodeMap::getNamedItem()

### getNamedItemNS

Node * getNamedItemNS(
const XMLString & namespaceURI,
const XMLString & localName
) const;

See also: Poco::XML::NamedNodeMap::getNamedItemNS()

### item

Node * item(
unsigned long index
) const;

See also: Poco::XML::NamedNodeMap::item()

### length

unsigned long length() const;

See also: Poco::XML::NamedNodeMap::length()

### removeNamedItem

Node * removeNamedItem(
const XMLString & name
);

See also: Poco::XML::NamedNodeMap::removeNamedItem()

### removeNamedItemNS

Node * removeNamedItemNS(
const XMLString & namespaceURI,
const XMLString & localName
);

See also: Poco::XML::NamedNodeMap::removeNamedItemNS()

### setNamedItem

Node * setNamedItem(
Node * arg
);

See also: Poco::XML::NamedNodeMap::setNamedItem()

### setNamedItemNS

Node * setNamedItemNS(
Node * arg
);

See also: Poco::XML::NamedNodeMap::setNamedItemNS()